Page MenuHomePhabricator

[M] Enable VectorVisualEnhancementsNext everywhere
Closed, ResolvedPublic1 Estimated Story Points

Description

The changes in T314323 are completed in wmf5 and behind a feature flag. Let's enable these! This will update the watchstar logo and bring some consistency to Vector 2022 icons including notifications.

https://en.wikipedia.org/?vectorvisualenhancementnext=1&safemode=1

TODO

  • Deploy via train by enabling it in skin.json. This will allow us to do design review on beta cluster.
  • Perform design review with Alex
  • Wait for wmf5 to be deployed (week of 17th October 2022)

Sign off steps

  • DOn't forget to close out T314323 !
  • Make sure ticket exists for removing feature flag and associated code. (T323421)

QA Results - Beta

ACStatusDetails
1T320101#8385298

Related Objects

Event Timeline

@Jdlrobson on beta the username and create account links seems to have extra 8px of margin:

Screen Shot 2022-10-07 at 3.06.39 PM.png (1×2 px, 302 KB)

Jdlrobson set the point value for this task to 1.Oct 31 2022, 5:39 PM

I'm still seeing some weirdness with the collapsed ToC button on small viewports. I also wanted to ask @alexhollender_WMF, could we take this opportunity to make the collapsed ToC button in the page title to be consistent with all the other icon buttons? Right now it has a vertical padding of 7px instead of 5px.

I also wanted to ask @alexhollender_WMF, could we take this opportunity to make the collapsed ToC button in the page title to be consistent with all the other icon buttons? Right now it has a vertical padding of 7px instead of 5px.

I'm actually not familiar with 5px or 7px as padding values for icons — I thought our standard was 6px? Also I assumed that kind of fix would be part of T319070: [M] [Visual Enhancements] Correct margins of icons and arrows, is it not?

I'm actually not familiar with 5px or 7px as padding values for icons — I thought our standard was 6px? Also I assumed that kind of fix would be part of T319070: [M] [Visual Enhancements] Correct margins of icons and arrows, is it not?

As @alexhollender_WMF comments our spacing&size tokens are 4px, 6px or 8px but not 5px or 7px.

Sorry for the confusion, I said 5px padding because there's also a 1px border (which is used in the button active state). Overall the icon buttons have 6px of spacing, and total dimensions of 32 x 32px which I believe is correct.

On this topic though, I did notice that the normal button styles on Codex's doc site and in the core button styles make use of 12px horizontal padding, plus the 1px border. @Volker_E Is that a mistake?

Screen Shot 2022-11-02 at 11.45.42 AM.png (908×2 px, 259 KB)

On this topic though, I did notice that the normal button styles on Codex's doc site and in the core button styles make use of 12px horizontal padding, plus the 1px border. @Volker_E Is that a mistake?

Screen Shot 2022-11-02 at 11.45.42 AM.png (908×2 px, 259 KB)

it seems to be different for icon-only buttons, which is what we're discussing here

Screen Shot 2022-11-02 at 7.35.26 PM.png (1×2 px, 457 KB)

This is blocked on fixes for T321504 and T322162 being deployed via the train (earliest possible date is 17th November)

LGoto renamed this task from Enable VectorVisualEnhancementsNext everywhere to [M] Enable VectorVisualEnhancementsNext everywhere.Nov 7 2022, 6:20 PM
Jdlrobson renamed this task from [M] Enable VectorVisualEnhancementsNext everywhere to Enable VectorVisualEnhancementsNext everywhere.Nov 7 2022, 6:20 PM
Jdlrobson updated the task description. (Show Details)

Change 854129 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Enable VisualEnhancementNext

https://gerrit.wikimedia.org/r/854129

Change 854131 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Drop the VisualEnhancementsNext feature flag

https://gerrit.wikimedia.org/r/854131

LGoto renamed this task from Enable VectorVisualEnhancementsNext everywhere to [M] Enable VectorVisualEnhancementsNext everywhere.Nov 8 2022, 6:19 PM

FYI I ran Pixel with the feature flag disabled and enabled at: T322673#8381222 in order to see the visual changes that this feature flag introduces

Change 854129 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Enable VisualEnhancementNext

https://gerrit.wikimedia.org/r/854129

Edtadros subscribed.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Ventura
Browser: Chrome
Device: MBP
Emulated Device:NA

Test Artifact(s):

QA Steps

✅ AC1: My face was on this one so I figured I'd just validate that the flag works in beta.

Screenshot 2022-11-09 at 7.27.50 PM.png (338×1 px, 69 KB)

Screenshot 2022-11-09 at 7.28.11 PM.png (345×1 px, 71 KB)

Jdlrobson updated the task description. (Show Details)
  • DOn't forget to close out T314323 !

@ovasileva @Jdlrobson I'm happy to sign this off but wanted to double check on the above AC for closing out the epic. Are we okay to close that out given there are related tasks (e.g. T323176) that are still in progress?

Change 854131 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/skins/Vector@master] Drop the VisualEnhancementsNext feature flag

https://gerrit.wikimedia.org/r/854131

Change 854131 merged by jenkins-bot:

[mediawiki/skins/Vector@master] Drop the VisualEnhancementsNext feature flag

https://gerrit.wikimedia.org/r/854131

Jdlrobson updated the task description. (Show Details)